Package org.eclipse.graphiti.ui.editor

# Class ElementDeleteListener

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterImpl
org.eclipse.graphiti.ui.editor.ElementDeleteListener

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Adapter`, `org.eclipse.emf.common.notify.Adapter.Internal`

public final class ElementDeleteListener extends org.eclipse.emf.common.notify.impl.AdapterImpl
Closes editor if model element was deleted. For instance, if only the diagram object is deleted from the resource, this listeners handles closing the editor. Probably this is a very rare case.

Since:
  0.9

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`org.eclipse.emf.common.notify.Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

## Constructor Summary

Constructors
Constructor
Description
`ElementDeleteListener(DiagramBehavior diagramBehavior)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAdapterForType(Object type)`
`void`
`notifyChanged(org.eclipse.emf.common.notify.Notification msg)`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ElementDeleteListener

public ElementDeleteListener(DiagramBehavior diagramBehavior)

Since:
  0.10

## Method Details

### isAdapterForType

public boolean isAdapterForType(Object type)

Specified by:
  `isAdapterForType` in interface `org.eclipse.emf.common.notify.Adapter`
Overrides:
  `isAdapterForType` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

### notifyChanged

public void notifyChanged(org.eclipse.emf.common.notify.Notification msg)

Specified by:
  `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
Overrides:
  `notifyChanged` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`